<?php
  require_once('connectvars.php');

  // Rozpoczynanie sesji.
  session_start();

  // Usuwanie komunikatu o błędzie.
  $error_msg = "";

  // Jeśli użytkownik nie jest zalogowany, należy spróbować go zalogować.
  if (!isset($_SESSION['user_id'])) {
    if (isset($_POST['submit'])) {
      // Łączenie się z bazą danych.
      $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

      // Pobieranie danych logowania wpisanych przez użytkownika.
      $user_username = mysqli_real_escape_string($dbc, trim($_POST['username']));
      $user_password = mysqli_real_escape_string($dbc, trim($_POST['password']));

      if (!empty($user_username) && !empty($user_password)) {
        // Wyszukiwanie nazwy użytkownika i hasła w bazie danych.
        $query = "SELECT user_id, username FROM mismatch_user WHERE username = '$user_username' AND password = SHA('$user_password')";
        $data = mysqli_query($dbc, $query);

        if (mysqli_num_rows($data) == 1) {
          // Dane logowania są poprawne, dlatego należy ustawić zmienne (i pliki cookie) sesji z
	  // identyfikatorem i nazwą użytkownika, a następnie przejść do strony głównej. 
	  $row = mysqli_fetch_array($data);
          $_SESSION['user_id'] = $row['user_id'];
          $_SESSION['username'] = $row['username'];
          setcookie('user_id', $row['user_id'], time() + (60 * 60 * 24 * 30));    // Wygasa za 30 dni.
          setcookie('username', $row['username'], time() + (60 * 60 * 24 * 30));  // Wygasa za 30 dni.
          $home_url = 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . '/index.php';
          header('Location: ' . $home_url);
        }
        else {
          // Para nazwa użytkownika - hasło jest nieprawidłowa, dlatego należy ustawić komunikat o błędzie.
          $error_msg = 'Musisz podać poprawną parę nazwa - hasło, aby się zalogować.';
        }
      }
      else {
        // Użytkownik nie podał pary nazwa - haso, dlatego należy ustawić komunikat o błędzie.
        $error_msg = 'Musisz podać parę nazwa - hasło, aby się zalogować.';
      }
    }
  }

  // Wstawianie nagłówka strony.
  $page_title = 'Logowanie';
  require_once('header.php');

  // Jeśli zmienna sesji jest pusta, skrypt wyświetla komunikat o błędzie i formularz
  // logowania. W przeciwnym razie informuje o udanym zalogowaniu użytkownika.
  if (empty($_SESSION['user_id'])) {
    echo '<p class="error">' . $error_msg . '</p>';
?>

  <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <fieldset>
      <legend>Logowanie</legend>
      <label for="username">Nazwa użytkownika:</label>
      <input type="text" name="username" value="<?php if (!empty($user_username)) echo $user_username; ?>" /><br />
      <label for="password">Hasło:</label>
      <input type="password" name="password" />
    </fieldset>
    <input type="submit" value="Zaloguj" name="submit" />
  </form>

<?php
  }
  else {
    // Potwierdzenie udanego zalogowania.
    echo('<p class="login">Zalogowany użytkownik: ' . $_SESSION['username'] . '.</p>');
  }
?>

<?php
  // Wstawianie stopki strony.
  require_once('footer.php');
?>
