CREATE TABLE `riskyjobs` (
  `job_id` INT AUTO_INCREMENT,
  `title` VARCHAR(200),
  `description` MEDIUMTEXT,
  `city` VARCHAR(100),
  `state` VARCHAR(100),
  `zip` VARCHAR(5),
  `company` VARCHAR(30),
  `date_posted` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`job_id`)
);

INSERT INTO `riskyjobs` VALUES (1, 'Chodzenie po kremie', 'Potrzebujemy osób, które zechcą przetestować teorię dotyczącą możliwości chodzenia po kremie.\r\n\r\nZapełnimy basem kremem, a pracownik będzie musiał po nim przejść. \r\n\r\nKrem i inne płyny o podobnej strukturze to tak zwane ciała nienewtonowskie. Stają się trwałe pod wysokim ciśnieniem (pod stopami idącej osoby), natomiast normalnie są płynne.\r\n\r\nDostarczamy ręcznik, natomiast pracownik musi mieć własny kostium.\r\n\r\nUwaga: jeśli zatrzymasz się na zbyt długo, możesz zatonąć. Nie ponosimy żadnej odpowiedzialności za utonięcie w kremie.', 'Kalisz', 'WP', '62-800', 'Kremowe technologie', '2008-07-24 11:25:27');
INSERT INTO `riskyjobs` VALUES (2, 'Treser rekinów', 'Uczenie rekinów ciekawych sztuczek prezentowanych w nowym parku wodnym.\r\n\r\nBędziesz samodzielnie pracował w wodzie ze stadem rekinów. Będziesz tresował je w nocy, o świcie i o zmroku, kiedy w parku nie będzie odwiedzających. Do obowiązków należy też zabawa z rekinami przez rozchlapywanie wody i wykonywanie chaotycznych ruchów.', 'Gliwice', 'SL', '44-100', 'Rekinarium', '2008-04-28 11:25:27');
INSERT INTO `riskyjobs` VALUES (3, 'Kontroler napięcia', 'Praca w terenie, polegająca na sprawdzaniu napięcia w zakresie od 3 do ponad 250 woltów. Otrzymasz ręczny diodę elektroluminescencyjną, wskazującą napięcie. Do obowiązków należy też sprawdzanie biegunowości.', 'Radom', 'MZ', '26-610', 'Szok S.A.', '2008-06-28 11:25:27');
INSERT INTO `riskyjobs` VALUES (4, 'Instalator anten', 'Będziesz instalował anteny i inne metalowe narzędzia odbiorcze na dachach najwyższych budynków Warszawy. Będziesz ubrany w najwyższej jakości zabezpieczający strój: poliestrowy kostium i plastikowe trampki.', 'Warszawa', 'MZ', '02-210', 'Anteny na wysokościach', '2008-09-04 11:25:27');
INSERT INTO `riskyjobs` VALUES (5, 'Proktolog dla słoni', 'Potrzebny doświadczony proktolog, który chce pracować z dużymi zwierzętami. Słonie w naszym krakowskim ZOO mają podejrzanie zaczerwienione pośladki. Poszukujemy profesjonalisty, który zechce zdiagnozować i wyleczyć te cenne zwierzęta.\r\n\r\nDodatkowe korzyści obejmują roczny bezpłatny wstęp do ZOO.', 'Kraków', 'MA', '30-382', 'Małopolskie ZOO dużych zwierząt', '2008-07-29 11:25:27');
INSERT INTO `riskyjobs` VALUES (6, 'Czyściciel silników samolotowych', 'Silniki odrzutowców wymagają czyszczenia. Potrzebujemy osoby o czystych umysłach do usuwania rdzy i brudu, a także okazjonalnego usuwania pozostałości po wysoko latających ptakach. Musi być czujny i umieć skutecznie się komunikować, ponieważ niektórzy piloci mają tendencje do przedwczesnych startów.', 'Powidz', 'WP', '62-430', 'Turbinatorzy', '2008-08-17 11:25:27');
INSERT INTO `riskyjobs` VALUES (7, 'Matador', 'Rozwijająca się mleczarnia poszukuje matadora na pół etatu do zabawiania byka z łagodną postacią ADD. Pożądane doświadczenie z semaforami.', 'Brzegi', 'MP', '34-532', 'Mleczne szaleństwo', '2008-03-11 12:11:17');
INSERT INTO `riskyjobs` VALUES (8, 'Paparazzi', 'Czołowa firma fotografująca znane osobistości szuka doświadczonego paparazzi do śledzenia agresywnej gwiazdy popu. Nie zapewniamy ubezpieczenia od nieszczęśliwych wypadków. ', 'Warszawa', 'MZ', '02-220', 'W pogoni za gwiazdą', '2008-03-24 11:25:27');
INSERT INTO `riskyjobs` VALUES (9, 'Chodzenie po linie', 'Nowa objazdowa trupa artystów szuka trzech profesjonalistów z przynajmniej rocznym doświadczeniem do wykonywania akrobacji na linie razem z małym słoniem. Dużą zaletą będzie gotowość do sprzątania po zwierzaku. Stanowisko chodzenie po linie wiąże się z dodatkowymi korzyściami. Są to: opieka medyczna (w tym dentysta), plan emerytalny, opcje na akcje, bezpłatne leki, zniżki w marketach, ubezpieczenie od niepełnosprawności, ubezpieczenie na życie i na czas podróży firmowych, opieka okulistyczna, zniżki na ubezpieczenie samochodu i domu, refundacja opieki medycznej, szkolenia, płatne wakacje i święta oraz pomoc przy przeprowadzce. Początkowe wynagrodzenie zależne od umiejętności, doświadczenia i rynku. Dla najlepszych możliwość awansu. Od najwyższej liny w wielkim namiocie dzielą cię tylko chęci - i poczucie równowagi! Inne obowiązki: planowanie i rozwieszanie lin, dbanie o słonia i wypisywanie autografów dla dzieci. Dawanie przykładu (przez unikanie upadków!), wykazywanie się inicjatywą i nastawienie na wyniki pomagają w odniesieniu sukcesu. Jeśli szukasz wyzwań, bracia Kurowscy oferują ci prostą drogę do sukcesu!', 'Poznań', 'WP', '60-801', 'Cyrk braci Kurowskich', '2008-11-14 11:43:59');
INSERT INTO `riskyjobs` VALUES (10, 'Dentysta dla krokodyli', 'Czy kochasz zwierzęta i nie znosisz próchnicy? Ta praca jest dla ciebie! Farma krokodyli potrzebuje dentysty, który zapewni uśmiech naszym ulubieńcom w czasie sesji zdjęciowej dla magazynu Gadzi przegląd. Idealny kandydat powinien mieć doświadczenie dentystyczne, pozytywne nastawienie i ubezpieczenie zdrowotne.', 'Zator', 'MP', '32-640', 'Żarłoczne gady', '2008-07-14 11:25:27');
INSERT INTO `riskyjobs` VALUES (11, 'Mim', 'Potrzebujemy nowych twarzy. Zapewniamy pełne ubezpieczenie zdrowotne i ochraniacze. Kandydat musi lubić dzieci.', 'Wrocław', 'DL', '50-456', 'Mimowie to my', '2008-11-02 11:25:27');
INSERT INTO `riskyjobs` VALUES (12, 'Próbowanie karmy dla zwierząt', 'Jesteśmy dumni ze smaku naszej karmy. Teraz możesz pomóc jeszcze bardziej ulepszyć nasze produkty. Poszukujemy osób do próbowania karmy - zgłoś się teraz!', 'Sochaczew', 'MZ', '96-503', 'Pychotka', '2008-11-09 11:25:27');
INSERT INTO `riskyjobs` VALUES (13, 'Ustawiane walki', 'Obiecujący bokser w wadze muszej szuka przeciwnika, który pomoże mu zbudować imponującą historię wygranych. Mile widziane: słaba praca stóp, niezgrabne ręce i wrażliwa szczęka. Doświadczenie nie jest wymagane. Jest to praca na czarno - spotkamy się uliczce za halą, aby podzielić zyski. Maks King da ci szansę walczyć o pas i przegrać z mistrzem!', 'Bydgoszcz', 'KP', '85-010', 'Zawodowa grupa Maksa Kinga', '2008-11-14 11:31:08');
INSERT INTO `riskyjobs` VALUES (14, 'Toreador', 'Sympatyczne bydlątka czekają na delikatnego torreadora, wprawnego w machaniu płachtą. Kandydat musi przejść prosty test w walce z bykami.', 'Kępno', 'WP', '63-600', 'Złap byka za rogi', '2008-11-14 21:49:31');
INSERT INTO `riskyjobs` VALUES (15, 'Serwisant elektrycznych byków', 'Bar u Henia poszukuje doświadczonego serwisanta elektrycznych byków. Dodatkowe korzyści to bezpłatne jazdy (po naprawie) i 50% zniżki na gorące skrzydełka.', 'Karpacz', 'DS', '58-540', 'Bar u Henia', '2008-07-27 11:22:28');
INSERT INTO `riskyjobs` VALUES (16, 'Doświadczony żongler kotami', 'Czy praktykujesz zapomnianą sztukę żonglowania kotami? Cyrk Macieja Barana, którego wystąpów zakazano w 40 państwach, jako jedyny doskonali żonglowanie kotami, aby zaspokoić wyrafinowane gusta współczesnych odbiorców. Zadmonstruj swój kunszt razem z najlepszymi żonglerami kotami w naszym cyrku. To jedyne miejsce na świecie, gdzie opanujesz synchroniczne żonglowanie kotami. To prawda, żonglowanie tymi zwierzętami jest jeszcze trudniejsze niż ich hodowanie. Jesteśmy otwarci na wszystkich i chętnie przywitamy cię w naszym zespole. Bądź przygotowany na przejście wielu testów, w których udowodnisz swe umiejętności w kontaktach z kotami. Tylko najlepsi zostaną przyjęci do programu mistrzowskiego żonglowania kotami.', 'Zakopane', 'MA', '34-500', 'Cyrk Macieja Barana', '2008-11-14 21:13:35');
INSERT INTO `riskyjobs` VALUES (17, 'Tester lin', 'Jeśli marzysz o wiszeniu godzinami na dużych wysokościach, jest to praca dla ciebie. Każda z naszych lin przechodzi rygorystyczny 43-punktowy test, który kończy się długim wiszeniem na niej żywego człowieka. Możesz to być ty! Zapewniamy siatkę zabezpieczającą, jednak musisz przynieść własny hełm i rękawice. W naszej fabryce w Szczytnie zapewniamy bogaty pakiet korzyści dla pracowników - między innymi Tydzień ze zwierzakiem w pracy i Formalne piątki. Potrzebujemy trzech referencji, a także potwierdzonego czasu maksymalnego zwisania i liczby upadków. Jesteśmy cyrkiem w cyrku!', 'Szczytno', 'WM', '12-100', 'Napięte liny', '2008-11-14 21:17:16');
INSERT INTO `riskyjobs` VALUES (18, 'Strażak - pogromca ognia', 'Miasto Katowice zatrudni strażaków. Doświadczenie nie jest wymagane - oferujemy szkolenia. Preferowane osoby niepalące. Pogromca ognia musi być sprawny fizycznie i nie bać się wysokości (oraz gorąca). Mile widziana umiejętność obsługi toporka.', 'Katowice', 'SL', '40-012', 'Miasto Katowice', '2008-05-22 09:54:32');
INSERT INTO `riskyjobs` VALUES (19, 'Starszy zbieracz piłek golfowych', 'Chcesz połączyć miłość do golfa i kaskaderskiej jazdy samochodem w fascynującej pracy? Szukamy starszego zbieracza piłek golfowych, którym możesz zostać właśnie ty. Usiądź za kółkiem meleksa i podróżuj po polu golfowym w poszukiwaniu piłek, uchylając się przed atakami golifstów, którzy będą próbowali cię trafić. Jest to jedna z oferowanych przez nas usług, a twoje zadanie to być trudnym do trafienia celem w trakcie zbierania piłek.', 'Opole', 'OP', '45-287', 'Mocny zamach', '2008-08-12 04:54:12');
